classification
Title: Update ssl data
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: alex, christian.heimes, dstufft, giampaolo.rodola, janssen, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2015-01-16 08:17 by pitrou, last changed 2015-01-18 16:42 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
update_ssl_data.patch pitrou, 2015-01-16 08:16 review
update_ssl_data2.patch pitrou, 2015-01-17 19:35 review
Messages (3)
msg234114 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2015-01-16 08:16
Amusingly OpenSSL has removed some error codes, so perhaps we should only apply this to the default branch.
msg234194 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2015-01-17 19:35
New patch merges in the old codes.
msg234258 - (view) Author: Roundup Robot (python-dev) Date: 2015-01-18 16:42
New changeset 2eea364c2863 by Antoine Pitrou in branch '3.4':
Issue #23248: Update ssl error codes from latest OpenSSL git master.
https://hg.python.org/cpython/rev/2eea364c2863

New changeset 15f46b850257 by Antoine Pitrou in branch 'default':
Issue #23248: Update ssl error codes from latest OpenSSL git master.
https://hg.python.org/cpython/rev/15f46b850257

New changeset 6e03c18f5447 by Antoine Pitrou in branch '2.7':
Issue #23248: Update ssl error codes from latest OpenSSL git master.
https://hg.python.org/cpython/rev/6e03c18f5447
History
Date User Action Args
2015-01-18 16:42:50pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2015-01-18 16:42:33python-devsetnosy: + python-dev
messages: + msg234258
2015-01-17 19:36:42pitrousetversions: + Python 2.7, Python 3.4
2015-01-17 19:35:36pitrousetfiles: + update_ssl_data2.patch

messages: + msg234194
2015-01-16 08:17:01pitroucreate